Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.utils
Class XbrlApiConfiguration

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.utils.XbrlApiConfiguration

    public class XbrlApiConfiguration

extends java.lang.Object

Clase de configuración utilizada por la API para determinar la localización de los recursos y otro tipo de propiedades las cuales deben ser configuradas mediante un archivo de configuración.
El archivo de configuración está ubicado en el directorio config y se llama enloc.properties. Este archivo contiene una serie de propiedades necesarias para el funcionamiento del sistema en general.

- taxonomyRoot: identifica el directorio raíz de la taxonomía.
- basePath: directorio raíz en el cual ha sido instalada la API. En este directorio se encontrarán todos los recursos necesarios, es decir, los archivos .cmd para línea de comando así como los directorios config, lib, properties, resources con sus contenidos.
- tempDirectory: directorio temporal, necesario para guardar ficheros de modo temporal, necesario para los procesos realizados por el sistema.
- schemaLocationIOInterface: schemaLocation de los XML de entrada en formato común, necesario para poder resolver la localización del esquema con el cual será validado.

Esta clase, además de proporcionar acceso a las propiedades previamente mencionadas y que se encuentran en el archivo de configuración enloc.properties, provee otras propiedades compuestas a partir de éstas. Dichas propiedades son comentadas en sus respectivos métodos de acceso a las mismas.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Method Summary
`java.lang.String` | `getConfigLocale()`
`java.lang.String` | `getENLOCErrorsCatalogPath()` Devuelve la ruta del catálogo de errores.
`java.lang.String` | `getGlobalPath()` Devuelve el path absoluto a la localización del archivo de configuración global.xml.
`static XbrlApiConfiguration` | `getInstance()` Devuelve una instancia de configuración, si no ha sido creada aún la crea para de modo estático de modo que las sucesivas veces que se acceda se obtenga la misma.
`java.lang.String` | `getMapsPath()` Devuelve el directorio en el cual se encuentran los mapas de configuración de LENLOCPENLOC2010.
`org.apache.xerces.util.XMLCatalogResolver` | `getResolver()` Devuelve el objeto resolver del catálogo.
`java.lang.String` | `getSchemaLocationIOInterface()` Devuelve la ubicación del esquema contra el que se valida el fichero de formato común.
`java.lang.String` | `getTaxonomyConfigurationFile()` Obtiene el path en el que se encuentra el fichero de configuración que resuelve los paths externos de la taxonomía.
`java.lang.String` | `getTaxonomyRoot()` Devuelve la ruta raíz en el cual se encuentra la taxonomía.
`java.lang.String` | `getTempDirectory()` Devuelve el path absoluto al directorio temporal de trabajo.
`java.lang.String` | `getXslTransformerPath()` Devuelve el directorio en el cual se encuentran los recursos necesarios para poder invocar al transformador XSL.
`void` | `setConfigLocale(java.lang.String configLocale)`
`void` | `setSchemaLocationIOInterface(java.lang.String schemaLocationIOInterface)` Asigna la ubicación del esquema contra el que se valida el fichero de formato común.
`void` | `setTempDirectory(java.lang.String tempDirectory)` Asigna el path absoluto del directorio temporal de trabajo.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static final XbrlApiConfiguration getInstance()

  Devuelve una instancia de configuración, si no ha sido creada aún la crea para de modo estático de modo que las sucesivas veces que se acceda se obtenga la misma.

  Returns:
    referencia a la configuración
  Throws:
    `XBRLENLOCException` - si se produce un error.

### getTaxonomyRoot

    public final java.lang.String getTaxonomyRoot()

  Devuelve la ruta raíz en el cual se encuentra la taxonomía.

  Returns:
    path ruta de la taxonomía.

### getMapsPath

    public final java.lang.String getMapsPath()

  Devuelve el directorio en el cual se encuentran los mapas de configuración de LENLOCPENLOC2010.

  Returns:
    path de mapas.

### getXslTransformerPath

    public final java.lang.String getXslTransformerPath()

  Devuelve el directorio en el cual se encuentran los recursos necesarios para poder invocar al transformador XSL.

  Returns:
    path de transformación XSL.

### getGlobalPath

    public final java.lang.String getGlobalPath()

  Devuelve el path absoluto a la localización del archivo de configuración global.xml.

  Returns:
    path del archivo global.xml

### getTaxonomyConfigurationFile

    public final java.lang.String getTaxonomyConfigurationFile()

  Obtiene el path en el que se encuentra el fichero de configuración que resuelve los paths externos de la taxonomía.

  Returns:
    path ruta del fichero de configuración.

### getTempDirectory

    public final java.lang.String getTempDirectory()

  Devuelve el path absoluto al directorio temporal de trabajo.

  Returns:
    path directorio temporal

### setTempDirectory

    public final void setTempDirectory(java.lang.String tempDirectory)

  Asigna el path absoluto del directorio temporal de trabajo.

  Parameters:
    `tempDirectory` - directorio temporal.

### getSchemaLocationIOInterface

    public final java.lang.String getSchemaLocationIOInterface()

  Devuelve la ubicación del esquema contra el que se valida el fichero de formato común.

  Returns:
    ruta del esquema.

### setSchemaLocationIOInterface

    public final void setSchemaLocationIOInterface(java.lang.String schemaLocationIOInterface)

  Asigna la ubicación del esquema contra el que se valida el fichero de formato común.

  Parameters:
    `schemaLocationIOInterface` - ruta del esquema.

### getResolver

    public final org.apache.xerces.util.XMLCatalogResolver getResolver()

  Devuelve el objeto resolver del catálogo.

  Returns:
    objeto XMLCatalogResolver.

### getENLOCErrorsCatalogPath

    public final java.lang.String getENLOCErrorsCatalogPath()

  Devuelve la ruta del catálogo de errores.

  Returns:
    ruta del catálogo.

### setConfigLocale

    public void setConfigLocale(java.lang.String configLocale)

  Parameters:
    `configLocale` - the configLocale to set

### getConfigLocale

    public java.lang.String getConfigLocale()

  Returns:
    the configLocale

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD